// ODDEDlg.h : header file
//

#if !defined(AFX_ODDEDLG_H__9753FEA6_B2FD_11D2_9F2A_00C04F79FBFB__INCLUDED_)
#define AFX_ODDEDLG_H__9753FEA6_B2FD_11D2_9F2A_00C04F79FBFB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CODDEDlg dialog

class CODDEDlg : public CDialog
{
// Construction
public:
	CODDEDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CODDEDlg)
	enum { IDD = IDD_ODDE_DIALOG };
	CButton	m_chkKeepColumnType;
	CButton	m_chkUseFloat;
	CEdit	m_btn_cmd_line_edit;
	CStatic	m_btn_no_server_msg;
	CStatic	m_btn_server_running;
	CStatic	m_btn_server_not_found;
	CButton	m_btn_continuous_transfer;
	CButton	m_btn_one_time_transfer;
	CButton	m_btn_open_server;
	BOOL	m_chk_continuous_transfer;
	CButton m_btn_copy_gr1;
	CButton m_btn_copy_gr2;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CODDEDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CODDEDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOneTimeDataTransfer();
	afx_msg void OnOpenServer();
	afx_msg void OnClose();
	afx_msg void OnContinuousTransfer();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnCopyToClipboardGraph1();
	afx_msg void OnCopyToClipboardGraph2();
	afx_msg void OnUseFloatTypeChange();
	afx_msg void OnKeepTextNumericChange();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

///////////////////////////////////////////////////
protected:
	void 	ShowControls();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ODDEDLG_H__9753FEA6_B2FD_11D2_9F2A_00C04F79FBFB__INCLUDED_)

